Updating Point Coordinates in NX With New XYZ Values in JAVA

I am in need of help with a JAVA program.
I did not write this program and could use some help to update one of the 3D points.
I have a program that imports part geometry (A) in another part (B) locating it on 3 points.
Point data is collected per a JAVA program from picking points on a model in an NX part when prompted.
Point1 values are correctly imported into Pdata1 while running the program.
Point2 values are correctly imported into pdata2 while running the program.
Point3 values are correctly created for pdata3 while running the program but are not applied to the point.
The program creates a new point P20 in Expressions and puts the point at 0 on the end of a line.
I need code to update point P20 with the coordinates collected for Pdata3.
It looks like the easiest way to correct the problem will be to update the coordinates at the end of the program by telling P20 to be a 3D point using Point3d(pdata3[0], pdata3[1], pdata3[2]).
Keep in mind the coordinates are collected and not applied in the program.
Can someone please help me write some code that will update point P20 with the coordinates collected for Pdata3 at the end of the program?
The program uses expressions to apply the coordinates.
See the existing code:

nxopen.SelectionIntentRule [] rules1 = new nxopen.SelectionIntentRule[1];
rules1[0] = edgeChainRule1;
nxopen.NXObject nullNXOpen_NXObject = null;
nxopen.Point3d helpPoint1 = new nxopen.Point3d(pdata3[0], pdata3[1], pdata3[2]);
section2.addToSection(rules1, edge1, nullNXOpen_NXObject, nullNXOpen_NXObject, helpPoint1, nxopen.Section.Mode.EDIT, false);

In the code posted above, the pdata3 coordinates are used as a "help point" in the AddToSection method. Help points are often used in NX commands to help NX find a solution when multiple solutions exist. An existing point in the model can be used as a help point; but the code above will not result in a point object created in the model.

I'm not really familiar with JAVA syntax; but from what I've seen, it appears that it shouldn't be too difficult to translate VB code to JAVA. If you can make use of some VB examples, there is code here that shows how to create an associative point:
http://nxjournaling.com/content/point3d-and-point-objects-part-2

Thanks. I'm of next week, but I will try to take a look from home if I can get on with my home computer.
Thanks